<?xml version='1.0' encoding='utf-8'?>
<root version="20190819">
    <world>
        <background/>
        <walls>
            <wall stroke-width="5" stroke-style="none" end="0:200" stroke="#ff000000" id="{040de144-7a6f-4afb-aac7-f4be1da696ed}" begin="0:0" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="350:1400" stroke="#ff000000" id="{0c14da03-43c2-420b-b7e2-350ef68e383f}" begin="200:1400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="600:600" stroke="#ff000000" id="{1dc68a12-339b-4c47-b1a0-7d0302395643}" begin="600:400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="0:1200" stroke="#ff000000" id="{1f62c201-8723-425c-99e0-7fc78d10d47e}" begin="0:1000" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1000:0" stroke="#ff000000" id="{2874bbda-b5e5-4260-863d-0147f6292377}" begin="800:0" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1400:400" stroke="#ff000000" id="{3c0fc77d-99bf-4596-9ff2-bcc22a000dec}" begin="1400:600" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="200:1000" stroke="#ff000000" id="{40816494-e490-4112-a84b-6827411fc64f}" begin="400:1000" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="800:800" stroke="#ff000000" id="{48ede5a9-783a-437c-b6d4-c95cf358937f}" begin="600:800" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="350:1600" stroke="#ff000000" id="{4eea2523-0262-471e-80a8-c6b7aa153b01}" begin="0:1600" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1600:0" stroke="#ff000000" id="{56b522a3-5c7c-46e2-bfbc-cd9c2ff7b09e}" begin="1200:0" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="800:400" stroke="#ff000000" id="{56d86238-8521-494b-84cf-3b0703950e0b}" begin="1000:400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="0:400" stroke="#ff000000" id="{58e93446-e01b-4467-ac81-aa74f6100032d}" begin="0:200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="800:1200" stroke="#ff000000" id="{599c27b5-7a59-463c-9fd8-78c1b0d60e74}" begin="1000:1200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="350:1600" stroke="#ff000000" id="{6259eff6-f304-44b2-adaa-7a0cb6e9b25f}" begin="1600:1600" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="0:1000" stroke="#ff000000" id="{66fbb1bc-9b68-4372-b662-0df09cdcfce7}" begin="0:800" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="0:600" stroke="#ff000000" id="{69c7c389-2d66-4f30-b457-0b97ce171f1d}" begin="0:400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1600:400" stroke="#ff000000" id="{6c9a8506-c0dc-48bb-97c2-f6b87eb73d07}" begin="1600:0" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="4400:3200" stroke="#ff000000" id="{72ae5ff8-5f50-414f-8a74-bdf530ed760c}" begin="1200:3200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="200:200" stroke="#ff000000" id="{789998a4-66d3-4b75-a0f1-fc374acc6a6f}" begin="200:400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="800:0" stroke="#ff000000" id="{89bde907-f287-4caf-81c2-51a4ac98550f}" begin="600:0" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="0:800" stroke="#ff000000" id="{8d7fa5f1-3d4c-42aa-b34f-e90ebfeb39f9}" begin="0:600" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="400:0" stroke="#ff000000" id="{8e0cb31e-f24f-41ce-b44a-37951d29d651}" begin="200:0" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="800:1000" stroke="#ff000000" id="{8e9f8a60-22e1-4358-a148-27b85a957b1a}" begin="800:1200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1200:800" stroke="#ff000000" id="{92ad181d-f79c-4e2f-a986-1725831389e9}" begin="1200:1000" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1400:0" stroke="#ff000000" id="{951d413b-d67d-4e1a-adbf-cec5a649cd35}" begin="1400:200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1000:400" stroke="#ff000000" id="{9fcd364e-1aa1-4f37-a8db-8ff676f4d383}" begin="1000:200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="200:0" stroke="#ff000000" id="{aaabe6ec-8c84-4d9e-a005-99b5fb37d153}" begin="0:0" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1600:400" stroke="#ff000000" id="{aef47fd5-ed95-41a8-9833-c4b7753c015a}" begin="1600:1000" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="800:800" stroke="#ff000000" id="{b0d27649-3378-4ae5-bac4-f6ae3ed032eb}" begin="800:600" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1200:0" stroke="#ff000000" id="{b91dbaaa-a8c1-43ae-8ac0-a4eb7286045b}" begin="1200:200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1400:600" stroke="#ff000000" id="{b991d600-87fa-4147-9b01-d58d46dbf105}" begin="1200:600" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1000:800" stroke="#ff000000" id="{bf89c352-d738-425d-b21d-f3eceac55630}" begin="800:800" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1400:1200" stroke="#ff000000" id="{bfd3ecf9-da76-4b8d-9fee-7fe9e8fefa56}" begin="1200:1200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1200:1400" stroke="#ff000000" id="{c3c2f915-2cbe-453b-afc0-0d19147e0cb0}" begin="1000:1400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="400:1400" stroke="#ff000000" id="{c408aa3b-2c76-437c-9f59-a69fcb3d8ceb}" begin="350:1400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="200:600" stroke="#ff000000" id="{c8569bfa-2a53-431c-bb1e-b903053013b2}" begin="200:800" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1200:0" stroke="#ff000000" id="{d8f2ac0c-c426-4ca9-83fa-72ad0733dbbc}" begin="1000:0" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1200:600" stroke="#ff000000" id="{d99630c8-d65f-4f08-be3d-65645cf96a5d}" begin="1200:400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="800:200" stroke="#ff000000" id="{db8a70ee-85bb-4e3d-8cd2-e0057a1c2502}" begin="800:400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1600:1600" stroke="#ff000000" id="{de654a82-30ad-4296-a1ad-40e07030a493}" begin="1600:1000" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="800:600" stroke="#ff000000" id="{df0c339b-2932-4ea9-b5af-c9b6cdad3023}" begin="1000:600" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="200:400" stroke="#ff000000" id="{df4afcf7-f7d5-4849-9ab9-292575947c79}" begin="400:400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="0:1600" stroke="#ff000000" id="{e3ba069f-ad0c-4960-b795-84e15d9027a5}" begin="0:1200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1000:600" stroke="#ff000000" id="{e736dc7f-cc63-4a83-9679-4045bbdb0824}" begin="1000:800" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="800:1400" stroke="#ff000000" id="{eaff1d13-32a1-4b13-876e-27ce2a780016}" begin="800:1200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1400:1400" stroke="#ff000000" id="{f59751a1-045f-49e2-bc71-338f51a8fbed}" begin="1400:1200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="600:0" stroke="#ff000000" id="{fbbf6aa2-2e72-43a3-8451-3f44f080826f}" begin="400:0" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="400:0" stroke="#ff000000" id="{b4ee6c06-e41e-4a53-a98a-76632ce8ad0a}" begin="400:200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="0:400" stroke="#ff000000" id="{7eb61d5e-f4db-8000-a882-061de0b10239}" begin="200:400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="0:200" stroke="#ff000000" id="{60d70916-c3bd-4742-873a-eedef08545a6}" begin="200:200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="400:600" stroke="#ff000000" id="{2a1cbe4d-2c1b-4ffe-afdd-8d8dfe48e1f6}" begin="400:400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="600:200" stroke="#ff000000" id="{6145438b-c395-43e2-acfd-b5110ea56267}" begin="400:200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="600:400" stroke="#ff000000" id="{492fc688-8f6d-4daa-87fe-db530234b1d3}" begin="400:400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="600:600" stroke="#ff000000" id="{aacc2aaa-2009-41e0-8cd2-bcf973148c68}" begin="400:600" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="600:800" stroke="#ff000000" id="{a3904ef0-93db-42c8-8951-eac6c243e6a5}" begin="400:800" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="600:0" stroke="#ff000000" id="{e1d28e79-529a-4516-b754-b7400f58c69a}" begin="600:200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1600:200" stroke="#ff000000" id="{db7368dd-10fd-441c-8519-19cccb03c611}" begin="1400:200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1600:600" stroke="#ff000000" id="{690cecdc-b64b-40aa-9f08-72568630e3b5}" begin="1400:600" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1400:800" stroke="#ff000000" id="{83d2f4ac-fb7d-4696-acb7-4daced23bbb1}" begin="1400:600" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1600:800" stroke="#ff000000" id="{99eab211-f12f-469f-829d-b1540fb2d230}" begin="1400:800" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1200:800" stroke="#ff000000" id="{4d4692ca-0957-4cd4-9b88-7379dd187aad}" begin="1000:800" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1000:1000" stroke="#ff000000" id="{2145f0e7-d901-4433-9c1e-62a710e7455c}" begin="1000:800" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1200:1000" stroke="#ff000000" id="{b3fcf824-0ed4-48e6-9467-b461c6253ec2}" begin="1000:1000" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1400:1200" stroke="#ff000000" id="{93ab3695-e01c-4b49-b374-48465cd065fa}" begin="1400:1000" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1200:1200" stroke="#ff000000" id="{72784799-31ca-48d3-99ae-1a06d4777b51}" begin="1000:1200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="600:1000" stroke="#ff000000" id="{461285a6-f1ba-48a6-b8bb-3767334b61b1}" begin="600:800" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="600:1000" stroke="#ff000000" id="{e7f1daaf-9792-4c60-99ad-d6e844d46201}" begin="400:1000" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="400:1000" stroke="#ff000000" id="{4676a6e7-3f88-4cf7-ab90-5eb5f536eaa0}" begin="400:800" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="200:1000" stroke="#ff000000" id="{b6998ebe-cad5-4b94-b75f-919d095eed73}" begin="200:800" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="600:1200" stroke="#ff000000" id="{990ce8a1-d2a9-47b7-b2cb-950e435e6d69}" begin="400:1200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="600:1400" stroke="#ff000000" id="{d9e54e2d-ca46-47f7-a6a4-c48eb6e5c2b6}" begin="600:1200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="400:1400" stroke="#ff000000" id="{5f3789b9-ea6d-44b8-b6e9-9d96cf7d80d5}" begin="400:1200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="400:1400" stroke="#ff000000" id="{5e4a95b9-7f7c-48bc-88ed-6225d83656cc}" begin="600:1400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="200:1200" stroke="#ff000000" id="{a968f975-2e39-48c9-a61f-90ea4c0dbd96}" begin="200:1400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1000:1600" stroke="#ff000000" id="{cfff5747-2716-41e1-a365-b4dd67e6052c}" begin="1000:1400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1200:1600" stroke="#ff000000" id="{4267030b-e7e8-4d7e-9c2b-c841c56f2dcc}" begin="1200:1400" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1000:200" stroke="#ff000000" id="{f1aa06fa-6fbc-41bc-83a1-30a9de0a80ac}" begin="600:200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="800:0" stroke="#ff000000" id="{350b4d4d-d050-4b80-8edb-b569e05ebe25}" begin="800:200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="1400:200" stroke="#ff000000" id="{0a593dfe-e2e3-4db5-a44a-94ea722cc61d}" begin="1200:200" fill="#ff000000"/>
            <wall stroke-width="5" stroke-style="none" end="600:1400" stroke="#ff000000" id="{bc0c868d-99fb-4925-a2ee-febcd866f18c}" begin="800:1400" fill="#ff000000"/>
        </walls>
        <skittles/>
        <balls/>
        <colorFields/>
        <images/>
        <regions>
            <region type="rectangle" filled="true" x="1200" y="400" visible="true" height="200" width="200" textX="0" id="start" color="#0000ff" text="Start" textY="0"/>
            <region type="rectangle" filled="true" x="200" y="800" visible="true" height="200" width="200" textX="0" id="finish" color="#ff0000" text="Finish" textY="0"/>
        </regions>
    </world>
    <robots>
        <robot direction="0" position="1275:475" id="trikKitRobot">
            <sensors>
            	<sensor direction="0" type="trik::robotModel::parts::TrikInfraredSensor" position="25:25" port="A1###input###А1###sensorA1"/>
                <sensor direction="90" type="trik::robotModel::parts::TrikInfraredSensor" position="25:25" port="A2###input###А2###sensorA2"/>
                <sensor direction="-90" type="trik::robotModel::parts::TrikInfraredSensor" position="25:25" port="A3###input######sensorA3"/>
            </sensors>
            <startPosition x="1300" direction="0" y="500" id="{bd2d858b-61ee-436a-aab0-df533ed0ac50}"/>
            <wheels right="M3###output###М3###" left="M4###output###М4###"/>
        </robot>
    </robots>
    <settings realisticSensors="false" realisticPhysics="false" realisticMotors="false"/>
    <constraints>
        <timelimit value="2400000"/>
        <constraint checkOnce="true" failMessage="У робота не должно быть лишних датчиков!">
            <conditions glue="and">
                <equals>
                    <typeOf objectId="robot1.D1"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.D2"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A4"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A5"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A6"/>
                    <string value="undefined"/>
                </equals>
            </conditions>
        </constraint>

        <constraint checkOnce="true" failMessage="Робот должен находиться в зоне старта перед запуском!">
            <inside objectId="robot1" regionId="start"/>
        </constraint>

        <event settedUpInitially="true">
			<conditions glue = "and">
				<not>
					<inside objectId="robot1" regionId="finish"/>
				</not>
				<greater>
					<objectState object="robot1.display.labels.size"/>
					<int value="0"/>
				</greater>
                <equals>
                    <objectState object="robot1.display.labels.first.text"/>
                    <string value="finish"/>
                </equals>
			</conditions>
			<trigger>
				<fail message="Неверный ответ!"/>
			</trigger>
		</event>

		<event settedUpInitially="true">
			<conditions glue = "and">
				<inside objectId="robot1" regionId="finish"/>
				<greater>
					<objectState object="robot1.display.labels.size"/>
					<int value="0"/>
				</greater>
                <equals>
                    <objectState object="robot1.display.labels.first.text"/>
                    <string value="finish"/>
                </equals>
			</conditions>
			<trigger>
				<success/>
			</trigger>
		</event>

    </constraints>
</root>
